Verify Aadhaar Async API
Introduction
Async is used where there is a time lag or time dependency is more than usual. In the case of asynchronous APIs, the availability of a resource, service or data store may not be immediate. These APIs may provide a callback to the requester when the requested resource is ready. Asynchronous requests are useful in maintaining functionality in an application rather than tie up application resources waiting on a request.
How to call the API
Before going for Verify Aadhaar, you first need to create an Identity object.
API Input Guidelines
- Aadhaar number
- Callback URL
Step 1: Hit Identities API
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/<Patron ID>/identities' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "aadhaar",
"email": "<email Id>",
"callbackUrl": "https://www.w3schools.com",
"images": [<images Url>]
}'Identity Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
type | String | type of document |
String | mail Id of person | |
callbackUrl | String | URL where response will be posted |
images | Array | It is the url of images |
accessToken | String | Contains the access token that was received from identity request |
autoRecognition | String | autorecognition |
verification | String | It verifies |
forgeryCheck | String | It checks for forgery occurances |
id | String | Contains the Identity object id |
patronId | String | Unique user ID |
Step 2: Hit Snoops API and receive a Request ID
curl --location --request POST 'https://signzy.tech/api/v2/snoops' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{
"service": "Identity",
"itemId": "<Item ID>",
"accessToken": "<Access Token>",
"task": "verifyAadhaarAsyncId",
"essentials": {
"uid": "<Aadhaar Number>",
"callbackUrl": "<Call back URL>"
}
}'Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
accessToken | String | Contains the access token that was received from identity request |
id | String | Contains the patron Id of the snoop request |
response.url | String | |
response.id | String | |
response.result.requestId | String | Request ID received to be used to verify aadhaar |
Verifying Aadhaar from the Request ID received
Step 1: Hit Identities API
curl --location --request POST 'https://preproduction.signzy.tech/api/v2/patrons/<Patron ID>/identities' \
--header 'Authorization: <Auth Key>' \
--header 'Content-Type: application/json' \
--data-raw '{
"type": "aadhaar",
"email": "[email protected]",
"callbackUrl": "https://www.w3schools.com",
"images": []
}'Identity Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
type | String | type of document |
String | mail Id of person | |
callbackUrl | String | URL where response will be posted |
images | Array | It is the url of images |
accessToken | String | Contains the access token that was received from identity request |
autoRecognition | String | autorecognition |
verification | String | It verifies |
forgeryCheck | String | It checks for forgery occurances |
id | String | Contains the Identity object id |
patronId | String | Unique user ID |
Step 2: Hit Snoops API and receives a response
curl --location --request POST 'https://signzy.tech/api/v2/snoops' \
--header 'Content-Type: application/json;charset=UTF-8' \
--data-raw '{
"service": "Identity",
"itemId": "<Item ID>",
"accessToken": "<Access Token>",
"task": "verifyAadhaarAsyncData",
"essentials": {
"requestId": "<Request ID>"
}
}'Response Parameters
Parameters Name | Data Type | Description |
|---|---|---|
accessToken | String | Contains the access token that was received from identity request |
id | String | Contains the patron Id of the snoop request |
response.url | String | URL of the image |
response.id | String | |
result.verified | Boolean | This returns whether the request aadhaar number is true or false |
result.ageBand | String | For ex. 20-30 denotes that age of the request aadhaar holder is in between that band |
result.state | String | State of the Aadhaar holder |
result.mobileNumber | | Mobile number of the Aadhaar holder |
result.gender | String | Gender of the Aadhaar holder |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected].